WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.loadCrossection = true;
WadamWizard1.loadTransfer = true;
WadamWizard1.tankPressure = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.rollDamping = true;
WadamWizard1.stochasticRollDamping = false;
WadamWizard1.pressurePanels = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
DirectionSet1 = DirectionSet(Array(0 deg,15 deg,30 deg,45 deg,60 deg,75 deg,90 deg,105 deg,120 deg,135 deg,150 deg,165 deg,180 deg,195 deg,210 deg,225 deg,240 deg,255 deg,270 deg,285 deg,300 deg,315 deg,330 deg,345 deg));
WadamWizard1.addEditObject(DirectionSet1);
FrequencySet1 = FrequencySet(WavePeriod(),Array(3 s, 5 s,6 s, 6.5 s,7 s, 7.5 s,8 s, 8.5 s,9 s, 9.5 s, 9.75 s,10 s, 10.25 s, 10.5 s, 10.75 s, 11 s, 11.5 s, 12 s, 12.5 s, 13 s, 13.5 s, 14 s, 15 s, 16 s, 17 s, 18 s, 19 s, 20 s, 21 s, 21.5 s, 22 s, 24 s, 26 s, 28 s, 30 s, 36 s, 100 s));
WadamWizard1.addEditObject(FrequencySet1);
Location1 = Location();
Location1.gravity = 9.80665 m/s^2;
Location1.air.density = 1.226 Kg/m^3;
Location1.air.kinematicViscosity = 1.462e-005 m^2/s;
Location1.water.density = 1025 Kg/m^3;
Location1.water.kinematicViscosity = 1.19e-006 m^2/s;
Location1.setDepth(50m);
WadamWizard1.addEditObject(Location1);
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.waterSurface().hasWaveAmplitude = true;
Condition1.waterSurface().waveAmplitude = 0.1 m;
WadamWizard1.addEditObject(Condition1);
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setFPXPos(70m);
HydroModel1.setBoundaryType(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
WadamWizard1.addEditObject(HydroModel1);
HydroModel1.setActiveFolder();
PanelModel1 = PanelModel(HydroModel1,ElementEnumsFEMFile,"C:/Users/evenn/OneDrive/Dokumenter/Skole/Master/FemfilesfromGeniE/innspurtT1.FEM",true,false);
PanelModel1.setModelTranslation(Vector3d(0 m,0 m,-20 m));
PanelModel1.regenerateGeometry();
WadamWizard1.addEditObject(PanelModel1);
LoadingCondition1 = LoadingCondition(HydroModel1,0 m,0 deg,0 deg);
LoadingCondition1.setLoadingCondition(0 m,0 deg,0 deg);
WadamWizard1.addEditObject(LoadingCondition1);
MassModel1 = MassModel(LoadingCondition1,MassModelSpecified);
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
LoadingCondition1.computeCompartmentPoints();
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setUserMassCoordinateSystem(COGCenteredCoordinateSystem);
MassModel1.setTotalMass(16124000);
MassModel1.setCOG(Point(0 m,0 m,-7.98200));
MassModel1.setRadiusGyration(Vector3d(28.66,28.66,23.76));
MassModel1.setSpecificProductInertia(0 m,0 m,0 m);

WadamWizard1.addEditObject(MassModel1);
WadamRun1 = WadamRun();
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.useMultiBody(false);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(67.5 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun1.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun1.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(true);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun1.setOutputDirectory("C:/Users/evenn/OneDrive/Dokumenter/Skole/Master/SIMAinnput/");
WadamRun1.setOutputPrefix("siffifty");
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
WadamRun1.specifyOutputDirectory(true,true);
// End Output Directory **********
WadamWizard1.addEditObject(WadamRun1);
